#include <IRremote.h>
#include <Sensor.h>
#include <SPI.h>
#include <EEPROM.h> 
#include <RF24.h>
#define ID 1

Sensor gw;

int recvLED = 3; //Transmitter
int numberBtns = 68; //The number of entries in irTRANSMIT.
IRsend irsend;

const unsigned long irTRANSMIT[] = {
0xa90,/*TV Power*/0x5d0,/*TV Display*/0x290,/*TV Mute*/0xa50,/*TV TV/Video*/0x270,/*TV Picture Mode*/0x5e25,/*TV Screen Mode*/0x10, /*TV 1*/0x810,/*TV 2*/0x410,/*TV 3*/0xc10,/*TV 4*/0x210,/*TV 5*/0xa10,/*TV 6*/0x610,/*TV 7*/0xe10,/*TV 8*/0x110,/*TV 9*/0x910,/*TV 0*/0x5ce9,/*TV .*/0xd10,/*TV Enter*/0xdd0,/*TV Jump*/0x58ee,/*TV Digital/Analog*/0x490,/*TV Volume Up*/0xc90,/*TV Volume Down*/0x90, /*TV Channel Up*/0x890,/*TV Channel Down*/0x710,/*TV Guide*/0x70, /*TV Menu*/0x2f0,/*TV Up*/0xaf0,/*TV Down*/0x2d0,/*TV Left*/0xcd0,/*TV Right*/0xa70,/*TV Select*/0x690,/*TV Reset*/0x6d0,/*TV Sleep*/0xc70/*TV Exit*/
};
  
void setup()
{
 pinMode(recvLED, OUTPUT);
 digitalWrite(recvLED, LOW);
 
 gw.begin();
 gw.sendSensorPresentation(ID, S_IR); 
 gw.sendSketchInfo("IR Transmitter", "1.3");
}

void loop() {
  
unsigned long recv_value;
  
if (gw.messageAvailable()) { 
 message_s message = gw.getMessage();
  
if (message.header.type==V_IR_SEND) {
   Serial.println(message.data);
   recv_value = atoi(message.data);
   irsend.sendSony(irTRANSMIT[recv_value], 12);
  }
 }
}
